#### windows::stream_handle::operator=

Move-assign a `windows::stream_handle` from another.

    stream_handle & operator=(
        stream_handle && other);

This assignment operator moves a stream handle from one object to another.

###### Parameters

other

  The other `windows::stream_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `stream_handle(io_context&) constructor`.